﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace Kolory_WinForms
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            byte r = Properties.Settings.Default.R;
            byte g = Properties.Settings.Default.G;
            byte b = Properties.Settings.Default.B;
            trackBar1.Value = r;
            trackBar2.Value = g;
            trackBar3.Value = b;
        }

        private void trackBar1_ValueChanged(object sender, EventArgs e)
        {
            panel1.BackColor = Color.FromArgb(
                trackBar1.Value,
                trackBar2.Value,
                trackBar3.Value);
            label1.Text = "R = " + trackBar1.Value;
            label2.Text = "G = " + trackBar2.Value;
            label3.Text = "B = " + trackBar3.Value;
            label4.Text = "HEX: " + pobierzKodKoloruHex();
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            Properties.Settings.Default.R = (byte)trackBar1.Value;
            Properties.Settings.Default.G = (byte)trackBar2.Value;
            Properties.Settings.Default.B = (byte)trackBar3.Value;
            Properties.Settings.Default.Save();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            trackBar1.Value = 0;
            trackBar2.Value = 0;
            trackBar3.Value = 0;
        }

        private string pobierzKodKoloruHex()
        {
            return "#" + trackBar1.Value.ToString("X2") + trackBar2.Value.ToString("X2") + trackBar3.Value.ToString("X2");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Clipboard.SetText(pobierzKodKoloruHex());
        }
    }
}
